// Include Arduino Wire library for I2C
#include <Wire.h>
// Define Slave I2C Address
#define SLAVE_ADDR 9


int distance;
int motion;
int buzzer = 10;
int space;
int compteur = 0; 
 
void setup() {
 
  // Initialize I2C communications as Slave
  Wire.begin(SLAVE_ADDR);
   
  // Function to run when data received from master
  Wire.onReceive(receiveEvent);

  Serial.begin(9600);
  
}
 
void receiveEvent(int numBytes) {
  
distance = Wire.read();
motion = Wire.read();

}


 
void loop() {

Serial.println(distance);
Serial.println(motion);
Serial.println(compteur);

  space = map(distance,0,250,100,800);
  
  if(motion == 1){
      compteur = 1; // si motion detected start counter
  }

   else if(distance != 0 && compteur < 35 ){ // loop through until count reaches 35
   tone(buzzer,2000,250);
   noTone(buzzer);
   delay(space);
   compteur ++;
   }
   else // once finished set count to 36 so the previous loop is not started until motion is detected
   {
     noTone(buzzer);
     compteur = 50;
   }
   //else 
   //{
   //noTone(buzzer);
   //}
}
